--- /homez.786/ridinteadu/_serious_analysis/van_21.0.0/dolibarr-21.0.0/htdocs/commande/list.php	2025-03-03 15:58:17.000000000 +0000
+++ /homez.786/ridinteadu/seriousbeta/dolibarr/htdocs/commande/list.php	2025-05-02 11:52:46.627672000 +0000
@@ -1234,28 +1259,28 @@
 	$title = $langs->trans('CustomersOrders');
 }
 if (strval($search_status) == '0') {
-	$title .= ' - '.$langs->trans('StatusOrderDraftShort');
+	$title .= ' - ' . $langs->trans('StatusOrderDraftShort');
 }
 if ($search_status == 1) {
-	$title .= ' - '.$langs->trans('StatusOrderValidatedShort');
+	$title .= ' - ' . $langs->trans('StatusOrderValidatedShort');
 }
 if ($search_status == 2) {
-	$title .= ' - '.$langs->trans('StatusOrderSentShort');
+	$title .= ' - ' . $langs->trans('StatusOrderSentShort');
 }
 if ($search_status == 3) {
-	$title .= ' - '.$langs->trans('StatusOrderToBillShort');
+	$title .= ' - ' . $langs->trans('StatusOrderToBillShort');
 }
 if ($search_status == -1) {
-	$title .= ' - '.$langs->trans('StatusOrderCanceledShort');
+	$title .= ' - ' . $langs->trans('StatusOrderCanceledShort');
 }
 if ($search_status == -2) {
-	$title .= ' - '.$langs->trans('StatusOrderToProcessShort');
+	$title .= ' - ' . $langs->trans('StatusOrderToProcessShort');
 }
 if ($search_status == -3) {
-	$title .= ' - '.$langs->trans('StatusOrderValidated').', '.(!isModEnabled('shipping') ? '' : $langs->trans("StatusOrderSent").', ').$langs->trans('StatusOrderToBill');
+	$title .= ' - ' . $langs->trans('StatusOrderValidated') . ', ' . (!isModEnabled('shipping') ? '' : $langs->trans("StatusOrderSent") . ', ') . $langs->trans('StatusOrderToBill');
 }
 if ($search_status == -4) {
-	$title .= ' - '.$langs->trans("StatusOrderValidatedShort").'+'.$langs->trans("StatusOrderSentShort");
+	$title .= ' - ' . $langs->trans("StatusOrderValidatedShort") . '+' . $langs->trans("StatusOrderSentShort");
 }
 
 $num = $db->num_rows($resql);
@@ -1265,7 +1290,7 @@
 if ($num == 1 && getDolGlobalString('MAIN_SEARCH_DIRECT_OPEN_IF_ONLY_ONE') && $search_all) {
 	$obj = $db->fetch_object($resql);
 	$id = $obj->rowid;
-	header("Location: ".DOL_URL_ROOT.'/commande/card.php?id='.$id);
+	header("Location: " . DOL_URL_ROOT . '/commande/card.php?id=' . $id);
 	exit;
 }
 
@@ -1278,152 +1303,152 @@
 
 $param = '';
 if (!empty($mode)) {
-	$param .= '&mode='.urlencode($mode);
+	$param .= '&mode=' . urlencode($mode);
 }
 if (!empty($contextpage) && $contextpage != $_SERVER["PHP_SELF"]) {
-	$param .= '&contextpage='.urlencode($contextpage);
+	$param .= '&contextpage=' . urlencode($contextpage);
 }
 if ($limit > 0 && $limit != $conf->liste_limit) {
-	$param .= '&limit='.((int) $limit);
+	$param .= '&limit=' . ((int) $limit);
 }
 if ($optioncss != '') {
-	$param .= '&optioncss='.urlencode($optioncss);
+	$param .= '&optioncss=' . urlencode($optioncss);
 }
 if ($show_files) {
-	$param .= '&show_files='.urlencode((string) ($show_files));
+	$param .= '&show_files=' . urlencode((string) ($show_files));
 }
 if ($search_all) {
-	$param .= '&search_all='.urlencode($search_all);
+	$param .= '&search_all=' . urlencode($search_all);
 }
 if ($socid > 0) {
-	$param .= '&socid='.((int) $socid);
+	$param .= '&socid=' . ((int) $socid);
 }
 if ($search_status != '') {
-	$param .= '&search_status='.urlencode($search_status);
+	$param .= '&search_status=' . urlencode($search_status);
 }
 if ($search_option) {
-	$param .= "&search_option=".urlencode($search_option);
+	$param .= "&search_option=" . urlencode($search_option);
 }
 if ($search_datecloture_start) {
-	$param .= '&search_datecloture_startday='.dol_print_date($search_datecloture_start, '%d').'&search_datecloture_startmonth='.dol_print_date($search_datecloture_start, '%m').'&search_datecloture_startyear='.dol_print_date($search_datecloture_start, '%Y');
+	$param .= '&search_datecloture_startday=' . dol_print_date($search_datecloture_start, '%d') . '&search_datecloture_startmonth=' . dol_print_date($search_datecloture_start, '%m') . '&search_datecloture_startyear=' . dol_print_date($search_datecloture_start, '%Y');
 }
 if ($search_datecloture_end) {
-	$param .= '&search_datecloture_endday='.dol_print_date($search_datecloture_end, '%d').'&search_datecloture_endmonth='.dol_print_date($search_datecloture_end, '%m').'&search_datecloture_endyear='.dol_print_date($search_datecloture_end, '%Y');
+	$param .= '&search_datecloture_endday=' . dol_print_date($search_datecloture_end, '%d') . '&search_datecloture_endmonth=' . dol_print_date($search_datecloture_end, '%m') . '&search_datecloture_endyear=' . dol_print_date($search_datecloture_end, '%Y');
 }
 if ($search_dateorder_start) {
-	$param .= '&search_dateorder_start_day='.dol_print_date($search_dateorder_start, '%d').'&search_dateorder_start_month='.dol_print_date($search_dateorder_start, '%m').'&search_dateorder_start_year='.dol_print_date($search_dateorder_start, '%Y');
+	$param .= '&search_dateorder_start_day=' . dol_print_date($search_dateorder_start, '%d') . '&search_dateorder_start_month=' . dol_print_date($search_dateorder_start, '%m') . '&search_dateorder_start_year=' . dol_print_date($search_dateorder_start, '%Y');
 }
 if ($search_dateorder_end) {
-	$param .= '&search_dateorder_end_day='.dol_print_date($search_dateorder_end, '%d').'&search_dateorder_end_month='.dol_print_date($search_dateorder_end, '%m').'&search_dateorder_end_year='.dol_print_date($search_dateorder_end, '%Y');
+	$param .= '&search_dateorder_end_day=' . dol_print_date($search_dateorder_end, '%d') . '&search_dateorder_end_month=' . dol_print_date($search_dateorder_end, '%m') . '&search_dateorder_end_year=' . dol_print_date($search_dateorder_end, '%Y');
 }
 if ($search_datedelivery_start) {
-	$param .= '&search_datedelivery_start_day='.dol_print_date($search_datedelivery_start, '%d').'&search_datedelivery_start_month='.dol_print_date($search_datedelivery_start, '%m').'&search_datedelivery_start_year='.dol_print_date($search_datedelivery_start, '%Y');
+	$param .= '&search_datedelivery_start_day=' . dol_print_date($search_datedelivery_start, '%d') . '&search_datedelivery_start_month=' . dol_print_date($search_datedelivery_start, '%m') . '&search_datedelivery_start_year=' . dol_print_date($search_datedelivery_start, '%Y');
 }
 if ($search_datedelivery_end) {
-	$param .= '&search_datedelivery_end_day='.dol_print_date($search_datedelivery_end, '%d').'&search_datedelivery_end_month='.dol_print_date($search_datedelivery_end, '%m').'&search_datedelivery_end_year='.dol_print_date($search_datedelivery_end, '%Y');
+	$param .= '&search_datedelivery_end_day=' . dol_print_date($search_datedelivery_end, '%d') . '&search_datedelivery_end_month=' . dol_print_date($search_datedelivery_end, '%m') . '&search_datedelivery_end_year=' . dol_print_date($search_datedelivery_end, '%Y');
 }
 if ($search_id) {
-	$param .= '&search_id='.urlencode((string) $search_id);
+	$param .= '&search_id=' . urlencode((string) $search_id);
 }
 if ($search_ref) {
-	$param .= '&search_ref='.urlencode($search_ref);
+	$param .= '&search_ref=' . urlencode($search_ref);
 }
 if ($search_ref_ext) {
-	$param .= '&search_ref_ext='.urlencode($search_ref_ext);
+	$param .= '&search_ref_ext=' . urlencode($search_ref_ext);
 }
 if ($search_company) {
-	$param .= '&search_company='.urlencode($search_company);
+	$param .= '&search_company=' . urlencode($search_company);
 }
 if ($search_company_alias) {
-	$param .= '&search_company_alias='.urlencode($search_company_alias);
+	$param .= '&search_company_alias=' . urlencode($search_company_alias);
 }
 if ($search_parent_name != '') {
-	$param .= '&search_parent_name='.urlencode($search_parent_name);
+	$param .= '&search_parent_name=' . urlencode($search_parent_name);
 }
 if ($search_ref_customer) {
-	$param .= '&search_ref_customer='.urlencode($search_ref_customer);
+	$param .= '&search_ref_customer=' . urlencode($search_ref_customer);
 }
 if ($search_user > 0) {
-	$param .= '&search_user='.urlencode((string) ($search_user));
+	$param .= '&search_user=' . urlencode((string) ($search_user));
 }
 if ($search_sale > 0) {
-	$param .= '&search_sale='.urlencode((string) ($search_sale));
+	$param .= '&search_sale=' . urlencode((string) ($search_sale));
 }
 if ($search_total_ht != '') {
-	$param .= '&search_total_ht='.urlencode($search_total_ht);
+	$param .= '&search_total_ht=' . urlencode($search_total_ht);
 }
 if ($search_total_vat != '') {
-	$param .= '&search_total_vat='.urlencode($search_total_vat);
+	$param .= '&search_total_vat=' . urlencode($search_total_vat);
 }
 if ($search_total_ttc != '') {
-	$param .= '&search_total_ttc='.urlencode($search_total_ttc);
+	$param .= '&search_total_ttc=' . urlencode($search_total_ttc);
 }
 if ($search_warehouse != '') {
-	$param .= '&search_warehouse='.urlencode((string) ($search_warehouse));
+	$param .= '&search_warehouse=' . urlencode((string) ($search_warehouse));
 }
 if ($search_login) {
-	$param .= '&search_login='.urlencode($search_login);
+	$param .= '&search_login=' . urlencode($search_login);
 }
 if ($search_multicurrency_code != '') {
-	$param .= '&search_multicurrency_code='.urlencode($search_multicurrency_code);
+	$param .= '&search_multicurrency_code=' . urlencode($search_multicurrency_code);
 }
 if ($search_multicurrency_tx != '') {
-	$param .= '&search_multicurrency_tx='.urlencode($search_multicurrency_tx);
+	$param .= '&search_multicurrency_tx=' . urlencode($search_multicurrency_tx);
 }
 if ($search_multicurrency_montant_ht != '') {
-	$param .= '&search_multicurrency_montant_ht='.urlencode($search_multicurrency_montant_ht);
+	$param .= '&search_multicurrency_montant_ht=' . urlencode($search_multicurrency_montant_ht);
 }
 if ($search_multicurrency_montant_vat != '') {
-	$param .= '&search_multicurrency_montant_vat='.urlencode($search_multicurrency_montant_vat);
+	$param .= '&search_multicurrency_montant_vat=' . urlencode($search_multicurrency_montant_vat);
 }
 if ($search_multicurrency_montant_ttc != '') {
-	$param .= '&search_multicurrency_montant_ttc='.urlencode($search_multicurrency_montant_ttc);
+	$param .= '&search_multicurrency_montant_ttc=' . urlencode($search_multicurrency_montant_ttc);
 }
 if ($search_project_ref >= 0) {
-	$param .= "&search_project_ref=".urlencode($search_project_ref);
+	$param .= "&search_project_ref=" . urlencode($search_project_ref);
 }
 if ($search_town != '') {
-	$param .= '&search_town='.urlencode($search_town);
+	$param .= '&search_town=' . urlencode($search_town);
 }
 if ($search_zip != '') {
-	$param .= '&search_zip='.urlencode($search_zip);
+	$param .= '&search_zip=' . urlencode($search_zip);
 }
 if ($search_state != '') {
-	$param .= '&search_state='.urlencode($search_state);
+	$param .= '&search_state=' . urlencode($search_state);
 }
 if ($search_country != '') {
-	$param .= '&search_country='.urlencode((string) ($search_country));
+	$param .= '&search_country=' . urlencode((string) ($search_country));
 }
 if ($search_type_thirdparty && $search_type_thirdparty != '-1') {
-	$param .= '&search_type_thirdparty='.urlencode((string) ($search_type_thirdparty));
+	$param .= '&search_type_thirdparty=' . urlencode((string) ($search_type_thirdparty));
 }
 if ($search_product_category != '') {
-	$param .= '&search_product_category='.urlencode((string) ($search_product_category));
+	$param .= '&search_product_category=' . urlencode((string) ($search_product_category));
 }
 if (($search_categ_cus > 0) || ($search_categ_cus == -2)) {
-	$param .= '&search_categ_cus='.urlencode((string) ($search_categ_cus));
+	$param .= '&search_categ_cus=' . urlencode((string) ($search_categ_cus));
 }
 if ($search_billed != '') {
-	$param .= '&search_billed='.urlencode($search_billed);
+	$param .= '&search_billed=' . urlencode($search_billed);
 }
 if ($search_fk_cond_reglement > 0) {
-	$param .= '&search_fk_cond_reglement='.urlencode((string) ($search_fk_cond_reglement));
+	$param .= '&search_fk_cond_reglement=' . urlencode((string) ($search_fk_cond_reglement));
 }
 if ($search_fk_shipping_method > 0) {
-	$param .= '&search_fk_shipping_method='.urlencode((string) ($search_fk_shipping_method));
+	$param .= '&search_fk_shipping_method=' . urlencode((string) ($search_fk_shipping_method));
 }
 if ($search_fk_mode_reglement > 0) {
-	$param .= '&search_fk_mode_reglement='.urlencode((string) ($search_fk_mode_reglement));
+	$param .= '&search_fk_mode_reglement=' . urlencode((string) ($search_fk_mode_reglement));
 }
 if ($search_fk_input_reason > 0) {
-	$param .= '&search_fk_input_reason='.urlencode((string) ($search_fk_input_reason));
+	$param .= '&search_fk_input_reason=' . urlencode((string) ($search_fk_input_reason));
 }
 if ($search_import_key != '') {
-	$param .= '&search_import_key='.urlencode($search_import_key);
+	$param .= '&search_import_key=' . urlencode($search_import_key);
 }
 
 // Add $param from extra fields
-include DOL_DOCUMENT_ROOT.'/core/tpl/extrafields_list_search_param.tpl.php';
+include DOL_DOCUMENT_ROOT . '/core/tpl/extrafields_list_search_param.tpl.php';
 
 // Add $param from hooks
 $parameters = array();
@@ -1432,60 +1457,60 @@
 
 // List of mass actions available
 $arrayofmassactions = array(
-	'generate_doc' => img_picto('', 'pdf', 'class="pictofixedwidth"').$langs->trans("ReGeneratePDF"),
-	'builddoc' => img_picto('', 'pdf', 'class="pictofixedwidth"').$langs->trans("PDFMerge"),
+	'generate_doc' => img_picto('', 'pdf', 'class="pictofixedwidth"') . $langs->trans("ReGeneratePDF"),
+	'builddoc' => img_picto('', 'pdf', 'class="pictofixedwidth"') . $langs->trans("PDFMerge"),
 );
 if ($permissiontovalidate) {
-	$arrayofmassactions['prevalidate'] = img_picto('', 'check', 'class="pictofixedwidth"').$langs->trans("Validate");
+	$arrayofmassactions['prevalidate'] = img_picto('', 'check', 'class="pictofixedwidth"') . $langs->trans("Validate");
 }
 if ($permissiontoclose) {
-	$arrayofmassactions['preshipped'] = img_picto('', 'dolly', 'class="pictofixedwidth"').$langs->trans("ClassifyShipped");
+	$arrayofmassactions['preshipped'] = img_picto('', 'dolly', 'class="pictofixedwidth"') . $langs->trans("ClassifyShipped");
 }
 if (isModEnabled('invoice') && $user->hasRight("facture", "creer")) {
-	$arrayofmassactions['createbills'] = img_picto('', 'bill', 'class="pictofixedwidth"').$langs->trans("CreateInvoiceForThisCustomer");
+	$arrayofmassactions['createbills'] = img_picto('', 'bill', 'class="pictofixedwidth"') . $langs->trans("CreateInvoiceForThisCustomer");
 }
 if ($permissiontoclose) {
-	$arrayofmassactions['setbilled'] = img_picto('', 'bill', 'class="pictofixedwidth"').$langs->trans("ClassifyBilled");
+	$arrayofmassactions['setbilled'] = img_picto('', 'bill', 'class="pictofixedwidth"') . $langs->trans("ClassifyBilled");
 }
 if ($permissiontocancel) {
-	$arrayofmassactions['cancelorders'] = img_picto('', 'close_title', 'class="pictofixedwidth"').$langs->trans("CancelOrder");
+	$arrayofmassactions['cancelorders'] = img_picto('', 'close_title', 'class="pictofixedwidth"') . $langs->trans("CancelOrder");
 }
 if (!empty($permissiontodelete)) {
-	$arrayofmassactions['predelete'] = img_picto('', 'delete', 'class="pictofixedwidth"').$langs->trans("Delete");
+	$arrayofmassactions['predelete'] = img_picto('', 'delete', 'class="pictofixedwidth"') . $langs->trans("Delete");
 }
 if ($permissiontosendbymail) {
-	$arrayofmassactions['presend'] = img_picto('', 'email', 'class="pictofixedwidth"').$langs->trans("SendByMail");
+	$arrayofmassactions['presend'] = img_picto('', 'email', 'class="pictofixedwidth"') . $langs->trans("SendByMail");
 }
 if (in_array($massaction, array('presend', 'predelete', 'createbills'))) {
 	$arrayofmassactions = array();
 }
 $massactionbutton = $form->selectMassAction('', $arrayofmassactions);
 
-$url = DOL_URL_ROOT.'/commande/card.php?action=create';
+$url = DOL_URL_ROOT . '/commande/card.php?action=create';
 if (!empty($socid)) {
-	$url .= '&socid='.$socid;
+	$url .= '&socid=' . $socid;
 }
 $newcardbutton = '';
-$newcardbutton .= dolGetButtonTitle($langs->trans('ViewList'), '', 'fa fa-bars imgforviewmode', $_SERVER["PHP_SELF"].'?mode=common'.preg_replace('/(&|\?)*mode=[^&]+/', '', $param), '', ((empty($mode) || $mode == 'common') ? 2 : 1), array('morecss' => 'reposition'));
-$newcardbutton .= dolGetButtonTitle($langs->trans('ViewKanban'), '', 'fa fa-th-list imgforviewmode', $_SERVER["PHP_SELF"].'?mode=kanban'.preg_replace('/(&|\?)*mode=[^&]+/', '', $param), '', ($mode == 'kanban' ? 2 : 1), array('morecss' => 'reposition'));
+$newcardbutton .= dolGetButtonTitle($langs->trans('ViewList'), '', 'fa fa-bars imgforviewmode', $_SERVER["PHP_SELF"] . '?mode=common' . preg_replace('/(&|\?)*mode=[^&]+/', '', $param), '', ((empty($mode) || $mode == 'common') ? 2 : 1), array('morecss' => 'reposition'));
+$newcardbutton .= dolGetButtonTitle($langs->trans('ViewKanban'), '', 'fa fa-th-list imgforviewmode', $_SERVER["PHP_SELF"] . '?mode=kanban' . preg_replace('/(&|\?)*mode=[^&]+/', '', $param), '', ($mode == 'kanban' ? 2 : 1), array('morecss' => 'reposition'));
 $newcardbutton .= dolGetButtonTitleSeparator();
 $newcardbutton .= dolGetButtonTitle($langs->trans('NewOrder'), '', 'fa fa-plus-circle', $url, '', (int) (($contextpage == 'orderlist' || $contextpage == 'billableorders') && $permissiontoadd));
 
 // Lines of title fields
-print '<form method="POST" id="searchFormList" action="'.$_SERVER["PHP_SELF"].'">'."\n";
+print '<form method="POST" id="searchFormList" action="' . $_SERVER["PHP_SELF"] . '">' . "\n";
 if ($optioncss != '') {
-	print '<input type="hidden" name="optioncss" value="'.$optioncss.'">';
+	print '<input type="hidden" name="optioncss" value="' . $optioncss . '">';
 }
-print '<input type="hidden" name="token" value="'.newToken().'">';
+print '<input type="hidden" name="token" value="' . newToken() . '">';
 print '<input type="hidden" name="formfilteraction" id="formfilteraction" value="list">';
 print '<input type="hidden" name="action" value="list">';
-print '<input type="hidden" name="sortfield" value="'.$sortfield.'">';
-print '<input type="hidden" name="sortorder" value="'.$sortorder.'">';
-print '<input type="hidden" name="contextpage" value="'.$contextpage.'">';
-print '<input type="hidden" name="search_status" value="'.$search_status.'">';
-print '<input type="hidden" name="socid" value="'.$socid.'">';
+print '<input type="hidden" name="sortfield" value="' . $sortfield . '">';
+print '<input type="hidden" name="sortorder" value="' . $sortorder . '">';
+print '<input type="hidden" name="contextpage" value="' . $contextpage . '">';
+print '<input type="hidden" name="search_status" value="' . $search_status . '">';
+print '<input type="hidden" name="socid" value="' . $socid . '">';
 print '<input type="hidden" name="page_y" value="">';
-print '<input type="hidden" name="mode" value="'.$mode.'">';
+print '<input type="hidden" name="mode" value="' . $mode . '">';
 
 
 print_barre_liste($title, $page, $_SERVER["PHP_SELF"], $param, $sortfield, $sortorder, $massactionbutton, $num, $nbtotalofrecords, 'order', 0, $newcardbutton, '', $limit, 0, 0, 1);
@@ -1493,8 +1518,8 @@
 $topicmail = "SendOrderRef";
 $modelmail = "order_send";
 $objecttmp = new Commande($db);
-$trackid = 'ord'.$object->id;
-include DOL_DOCUMENT_ROOT.'/core/tpl/massactions_pre.tpl.php';
+$trackid = 'ord' . $object->id;
+include DOL_DOCUMENT_ROOT . '/core/tpl/massactions_pre.tpl.php';
 
 if ($massaction == 'prevalidate') {
 	print $form->formconfirm($_SERVER["PHP_SELF"], $langs->trans("ConfirmMassValidation"), $langs->trans("ConfirmMassValidationQuestion"), "validate", null, '', 0, 200, 500, 1);
@@ -1531,22 +1556,22 @@
 	if (isModEnabled('stock') && getDolGlobalString('STOCK_CALCULATE_ON_BILL')) {
 		print $form->selectyesno('validate_invoices', 0, 1, 1);
 		$langs->load("errors");
-		print ' ('.$langs->trans("WarningAutoValNotPossibleWhenStockIsDecreasedOnInvoiceVal").')';
+		print ' (' . $langs->trans("WarningAutoValNotPossibleWhenStockIsDecreasedOnInvoiceVal") . ')';
 	} else {
 		print $form->selectyesno('validate_invoices', 0, 1);
 	}
 	if (!empty($conf->workflow->enabled) && getDolGlobalString('WORKFLOW_INVOICE_AMOUNT_CLASSIFY_BILLED_ORDER')) {
-		print ' &nbsp; &nbsp; <span class="opacitymedium">'.$langs->trans("IfValidateInvoiceIsNoOrderStayUnbilled").'</span>';
+		print ' &nbsp; &nbsp; <span class="opacitymedium">' . $langs->trans("IfValidateInvoiceIsNoOrderStayUnbilled") . '</span>';
 	} else {
-		print ' &nbsp; &nbsp; <span class="opacitymedium">'.$langs->trans("OptionToSetOrderBilledNotEnabled").'</span>';
+		print ' &nbsp; &nbsp; <span class="opacitymedium">' . $langs->trans("OptionToSetOrderBilledNotEnabled") . '</span>';
 	}
 	print '</td>';
 	print '</tr>';
 	print '</table>';
 
 	print '<div class="center">';
-	print '<input type="submit" class="button" id="createbills" name="createbills" value="'.$langs->trans('CreateInvoiceForThisCustomer').'">  ';
-	print '<input type="submit" class="button button-cancel" id="cancel" name="cancel" value="'.$langs->trans("Cancel").'">';
+	print '<input type="submit" class="button" id="createbills" name="createbills" value="' . $langs->trans('CreateInvoiceForThisCustomer') . '">  ';
+	print '<input type="submit" class="button button-cancel" id="cancel" name="cancel" value="' . $langs->trans("Cancel") . '">';
 	print '</div>';
 	print '<br><br>';
 }
@@ -1555,10 +1580,10 @@
 	$setupstring = '';
 	foreach ($fieldstosearchall as $key => $val) {
 		$fieldstosearchall[$key] = $langs->trans($val);
-		$setupstring .= $key."=".$val.";";
+		$setupstring .= $key . "=" . $val . ";";
 	}
-	print '<!-- Search done like if MYOBJECT_QUICKSEARCH_ON_FIELDS = '.$setupstring.' -->'."\n";
-	print '<div class="divsearchfieldfilter">'.$langs->trans("FilterOnInto", $search_all).implode(', ', $fieldstosearchall).'</div>';
+	print '<!-- Search done like if MYOBJECT_QUICKSEARCH_ON_FIELDS = ' . $setupstring . ' -->' . "\n";
+	print '<div class="divsearchfieldfilter">' . $langs->trans("FilterOnInto", $search_all) . implode(', ', $fieldstosearchall) . '</div>';
 }
 
 $moreforfilter = '';
@@ -1568,41 +1593,41 @@
 	$langs->load("commercial");
 	$moreforfilter .= '<div class="divsearchfield">';
 	$tmptitle = $langs->trans('ThirdPartiesOfSaleRepresentative');
-	$moreforfilter .= img_picto($tmptitle, 'user', 'class="pictofixedwidth"').$formother->select_salesrepresentatives($search_sale, 'search_sale', $user, 0, $tmptitle, 'maxwidth250 widthcentpercentminusx');
+	$moreforfilter .= img_picto($tmptitle, 'user', 'class="pictofixedwidth"') . $formother->select_salesrepresentatives($search_sale, 'search_sale', $user, 0, $tmptitle, 'maxwidth250 widthcentpercentminusx');
 	$moreforfilter .= '</div>';
 }
 // If the user can view other users
 if ($user->hasRight("user", "user", "lire")) {
 	$moreforfilter .= '<div class="divsearchfield">';
 	$tmptitle = $langs->trans('LinkedToSpecificUsers');
-	$moreforfilter .= img_picto($tmptitle, 'user', 'class="pictofixedwidth"').$form->select_dolusers($search_user, 'search_user', $tmptitle, '', 0, '', '', 0, 0, 0, '', 0, '', 'maxwidth250 widthcentpercentminusx');
+	$moreforfilter .= img_picto($tmptitle, 'user', 'class="pictofixedwidth"') . $form->select_dolusers($search_user, 'search_user', $tmptitle, '', 0, '', '', 0, 0, 0, '', 0, '', 'maxwidth250 widthcentpercentminusx');
 	$moreforfilter .= '</div>';
 }
 
 // If the user can view other products/services than his own
 if (isModEnabled('category') && $user->hasRight("categorie", "lire") && ($user->hasRight("produit", "lire") || $user->hasRight("service", "lire"))) {
-	include_once DOL_DOCUMENT_ROOT.'/categories/class/categorie.class.php';
+	include_once DOL_DOCUMENT_ROOT . '/categories/class/categorie.class.php';
 	$moreforfilter .= '<div class="divsearchfield">';
 	$tmptitle = $langs->trans('IncludingProductWithTag');
 	$cate_arbo = $form->select_all_categories(Categorie::TYPE_PRODUCT, '', 'parent', 0, array(), 1);
-	$moreforfilter .= img_picto($tmptitle, 'category', 'class="pictofixedwidth"').$form->selectarray('search_product_category', $cate_arbo, $search_product_category, $tmptitle, 0, 0, '', 0, 0, 0, 0, 'maxwidth300 widthcentpercentminusx', 1);
+	$moreforfilter .= img_picto($tmptitle, 'category', 'class="pictofixedwidth"') . $form->selectarray('search_product_category', $cate_arbo, $search_product_category, $tmptitle, 0, 0, '', 0, 0, 0, 0, 'maxwidth300 widthcentpercentminusx', 1);
 	$moreforfilter .= '</div>';
 }
 // If Categories are enabled & user has rights to see
 if (isModEnabled('category') && $user->hasRight("categorie", "lire")) {
-	require_once DOL_DOCUMENT_ROOT.'/categories/class/categorie.class.php';
+	require_once DOL_DOCUMENT_ROOT . '/categories/class/categorie.class.php';
 	$moreforfilter .= '<div class="divsearchfield">';
 	$tmptitle = $langs->trans('CustomersProspectsCategoriesShort');
-	$moreforfilter .= img_picto($tmptitle, 'category', 'class="pictofixedwidth"').$formother->select_categories('customer', $search_categ_cus, 'search_categ_cus', 1, $tmptitle, 'maxwidth300 widthcentpercentminusx');
+	$moreforfilter .= img_picto($tmptitle, 'category', 'class="pictofixedwidth"') . $formother->select_categories('customer', $search_categ_cus, 'search_categ_cus', 1, $tmptitle, 'maxwidth300 widthcentpercentminusx');
 	$moreforfilter .= '</div>';
 }
 // If Stock is enabled
 if (isModEnabled('stock') && getDolGlobalString('WAREHOUSE_ASK_WAREHOUSE_DURING_ORDER')) {
-	require_once DOL_DOCUMENT_ROOT.'/product/class/html.formproduct.class.php';
+	require_once DOL_DOCUMENT_ROOT . '/product/class/html.formproduct.class.php';
 	$formproduct = new FormProduct($db);
 	$moreforfilter .= '<div class="divsearchfield">';
 	$tmptitle = $langs->trans('Warehouse');
-	$moreforfilter .= img_picto($tmptitle, 'stock', 'class="pictofixedwidth"').$formproduct->selectWarehouses($search_warehouse, 'search_warehouse', '', 1, 0, 0, $tmptitle, 0, 0, array(), 'maxwidth250 widthcentpercentminusx');
+	$moreforfilter .= img_picto($tmptitle, 'stock', 'class="pictofixedwidth"') . $formproduct->selectWarehouses($search_warehouse, 'search_warehouse', '', 1, 0, 0, $tmptitle, 0, 0, array(), 'maxwidth250 widthcentpercentminusx');
 	$moreforfilter .= '</div>';
 }
 
@@ -1636,7 +1661,7 @@
 }
 
 print '<div class="div-table-responsive">'; // You can use div-table-responsive-no-min if you don't need reserved height for your table
-print '<table class="tagtable nobottomiftotal liste'.($moreforfilter ? " listwithfilterbefore" : "").'">'."\n";
+print '<table class="tagtable nobottomiftotal liste' . ($moreforfilter ? " listwithfilterbefore" : "") . '">' . "\n";
 
 // Fields title search
 // --------------------------------------------------------------------
@@ -1652,66 +1677,66 @@
 // Line numbering
 if (!empty($arrayfields['c.rowid']['checked'])) {
 	print '<td class="liste_titre">';
-	print '<input class="flat" size="6" type="text" name="search_id" value="'.dol_escape_htmltag($search_id).'">';
+	print '<input class="flat" size="6" type="text" name="search_id" value="' . dol_escape_htmltag($search_id) . '">';
 	print '</td>';
 }
 
 // Ref
 if (!empty($arrayfields['c.ref']['checked'])) {
 	print '<td class="liste_titre">';
-	print '<input class="flat" size="6" type="text" name="search_ref" value="'.dol_escape_htmltag($search_ref).'">';
+	print '<input class="flat" size="6" type="text" name="search_ref" value="' . dol_escape_htmltag($search_ref) . '">';
 	print '</td>';
 }
 // Ref ext
 if (!empty($arrayfields['c.ref_ext']['checked'])) {
 	print '<td class="liste_titre">';
-	print '<input class="flat" size="6" type="text" name="search_ref_ext" value="'.dol_escape_htmltag($search_ref_ext).'">';
+	print '<input class="flat" size="6" type="text" name="search_ref_ext" value="' . dol_escape_htmltag($search_ref_ext) . '">';
 	print '</td>';
 }
 // Ref customer
 if (!empty($arrayfields['c.ref_client']['checked'])) {
 	print '<td class="liste_titre" align="left">';
-	print '<input class="flat" type="text" size="6" name="search_ref_customer" value="'.dol_escape_htmltag($search_ref_customer).'">';
+	print '<input class="flat" type="text" size="6" name="search_ref_customer" value="' . dol_escape_htmltag($search_ref_customer) . '">';
 	print '</td>';
 }
 // Project ref
 if (!empty($arrayfields['p.ref']['checked'])) {
-	print '<td class="liste_titre"><input type="text" class="flat" size="6" name="search_project_ref" value="'.dol_escape_htmltag($search_project_ref).'"></td>';
+	print '<td class="liste_titre"><input type="text" class="flat" size="6" name="search_project_ref" value="' . dol_escape_htmltag($search_project_ref) . '"></td>';
 }
 // Project title
 if (!empty($arrayfields['p.title']['checked'])) {
-	print '<td class="liste_titre"><input type="text" class="flat" size="6" name="search_project" value="'.dol_escape_htmltag($search_project).'"></td>';
+	print '<td class="liste_titre"><input type="text" class="flat" size="6" name="search_project" value="' . dol_escape_htmltag($search_project) . '"></td>';
 }
 // Thirpdarty
 if (!empty($arrayfields['s.nom']['checked'])) {
 	print '<td class="liste_titre" align="left">';
-	print '<input class="flat maxwidth100" type="text" name="search_company" value="'.dol_escape_htmltag($search_company).'"'.(!empty($user->socid) ? " disabled" : "").'>';
+	print '<input class="flat maxwidth100" type="text" name="search_company" value="' . dol_escape_htmltag($search_company) . '"' . (!empty($user->socid) ? " disabled" : "") . '>';
 	print '</td>';
 }
 // Alias
 if (!empty($arrayfields['s.name_alias']['checked'])) {
 	print '<td class="liste_titre" align="left">';
-	print '<input class="flat maxwidth100" type="text" name="search_company_alias" value="'.dol_escape_htmltag($search_company_alias).'">';
+	print '<input class="flat maxwidth100" type="text" name="search_company_alias" value="' . dol_escape_htmltag($search_company_alias) . '">';
 	print '</td>';
 }
 // Parent company
 if (!empty($arrayfields['s2.nom']['checked'])) {
 	print '<td class="liste_titre">';
-	print '<input class="flat maxwidth100" type="text" name="search_parent_name" value="'.dol_escape_htmltag($search_parent_name).'">';
+	print '<input class="flat maxwidth100" type="text" name="search_parent_name" value="' . dol_escape_htmltag($search_parent_name) . '">';
 	print '</td>';
 }
 // Town
 if (!empty($arrayfields['s.town']['checked'])) {
-	print '<td class="liste_titre"><input class="flat width50" type="text" name="search_town" value="'.dol_escape_htmltag($search_town).'"></td>';
+	print '<td class="liste_titre"><input class="flat width50" type="text" name="search_town" value="' . dol_escape_htmltag($search_town) . '"></td>';
 }
 // Zip
 if (!empty($arrayfields['s.zip']['checked'])) {
-	print '<td class="liste_titre"><input class="flat width50" type="text" name="search_zip" value="'.dol_escape_htmltag($search_zip).'"></td>';
+	print '<td class="liste_titre"><input class="flat width50" type="text" name="search_zip" value="' . dol_escape_htmltag($search_zip) . '"></td>';
 }
 // State
 if (!empty($arrayfields['state.nom']['checked'])) {
 	print '<td class="liste_titre">';
-	print '<input class="flat width50" type="text" name="search_state" value="'.dol_escape_htmltag($search_state).'">';
+	print '<input class="flat width50" type="text" name="search_state" value="' . dol_escape_htmltag($search_state) . '">';
 	print '</td>';
 }
 // Country
